<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Grenade_Base/SmokeGrenadeBase.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d6f/_smoke_grenade_base_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">SmokeGrenadeBase.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d4/d6f/_smoke_grenade_base_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a19d9d2862444a272e22375327d9f603c"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a19d9d2862444a272e22375327d9f603c">ESmokeGrenadeState</a> { <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a19d9d2862444a272e22375327d9f603ca49e98e95ee763d5097cc12af501f6571">NO_SMOKE</a>
, <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a19d9d2862444a272e22375327d9f603ca61f7f1587bd5fe978d9ff3ece8d0624c">LOOP</a> = 2
, <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a19d9d2862444a272e22375327d9f603cadc6f24fd6915a3f2786a1b7045406924">END</a> = 3
, <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a19d9d2862444a272e22375327d9f603ca2addb49878f50c95dc669e5fdbd130a2">COUNT</a> = 4
 }</td></tr>
<tr class="separator:a19d9d2862444a272e22375327d9f603c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aeff9002b0c857196ccf8e5bb3b3eddd5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#aeff9002b0c857196ccf8e5bb3b3eddd5">SetParticleSmokeCurrent</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> particle)</td></tr>
<tr class="separator:aeff9002b0c857196ccf8e5bb3b3eddd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb0804306fcb4fd3e6fe57dd1cfc6d3e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#aeb0804306fcb4fd3e6fe57dd1cfc6d3e">SetParticleSmokeStart</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> particle)</td></tr>
<tr class="separator:aeb0804306fcb4fd3e6fe57dd1cfc6d3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d5b113a92edf59804f424d3871ced4f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a5d5b113a92edf59804f424d3871ced4f">SetParticleSmokeLoop</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> particle)</td></tr>
<tr class="separator:a5d5b113a92edf59804f424d3871ced4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1fdf205f1d286502cbb4f55fcec0207"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#ad1fdf205f1d286502cbb4f55fcec0207">SetParticleSmokeEnd</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> particle)</td></tr>
<tr class="separator:ad1fdf205f1d286502cbb4f55fcec0207"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c632bfe3b165e2077388e3897a129d1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a6c632bfe3b165e2077388e3897a129d1">SetSoundSmokeStart</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> sound)</td></tr>
<tr class="separator:a6c632bfe3b165e2077388e3897a129d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada9e198796d8a367139ca98e6cb61cde"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#ada9e198796d8a367139ca98e6cb61cde">SetSoundSmokeLoop</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> sound)</td></tr>
<tr class="separator:ada9e198796d8a367139ca98e6cb61cde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4398f844df403daf83874caa212790af"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a4398f844df403daf83874caa212790af">SetSoundSmokeEnd</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> sound)</td></tr>
<tr class="separator:a4398f844df403daf83874caa212790af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc8d096b049336ec595e3f2b028afb17"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#adc8d096b049336ec595e3f2b028afb17">PlaySmokeParticle</a> ()</td></tr>
<tr class="separator:adc8d096b049336ec595e3f2b028afb17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4f5b4677c40dcff49eabd2e0bd9e001"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#ae4f5b4677c40dcff49eabd2e0bd9e001">SoundSmokeStart</a> ()</td></tr>
<tr class="separator:ae4f5b4677c40dcff49eabd2e0bd9e001"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09a9e3fe5f642bc95b8f3369f4baed0f"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a09a9e3fe5f642bc95b8f3369f4baed0f">SoundSmokeLoop</a> ()</td></tr>
<tr class="separator:a09a9e3fe5f642bc95b8f3369f4baed0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a164a465a34f5fa158194f2459940a454"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a164a465a34f5fa158194f2459940a454">SoundSmokeEnd</a> ()</td></tr>
<tr class="separator:a164a465a34f5fa158194f2459940a454"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af29c8537ebf9c1b5a71617249be81325"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#af29c8537ebf9c1b5a71617249be81325">SoundSmokeStop</a> ()</td></tr>
<tr class="separator:af29c8537ebf9c1b5a71617249be81325"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5b92971107bdfcfbc5ed9bf02e7ba4d"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#ac5b92971107bdfcfbc5ed9bf02e7ba4d">DestroySmokeGrenade</a> ()</td></tr>
<tr class="separator:ac5b92971107bdfcfbc5ed9bf02e7ba4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19c89e1aeded4b62e7b68aa89e53cb01"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a19c89e1aeded4b62e7b68aa89e53cb01">RefreshParticlesAndSounds</a> ()</td></tr>
<tr class="separator:a19c89e1aeded4b62e7b68aa89e53cb01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedb24aac24172f46ca4fad2200feb723"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#aedb24aac24172f46ca4fad2200feb723">Unpin</a> ()</td></tr>
<tr class="separator:aedb24aac24172f46ca4fad2200feb723"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cb0f903a575978e1bad2bc7750d765e"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a1cb0f903a575978e1bad2bc7750d765e">OnActivateFinished</a> ()</td></tr>
<tr class="separator:a1cb0f903a575978e1bad2bc7750d765e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf45da335d07e3e78aa558714d3c38e8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#abf45da335d07e3e78aa558714d3c38e8">OnWorkStart</a> ()</td></tr>
<tr class="separator:abf45da335d07e3e78aa558714d3c38e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dfedef279732661467a94be3a9374e4"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a8dfedef279732661467a94be3a9374e4">OnWork</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> consumed_energy)</td></tr>
<tr class="separator:a8dfedef279732661467a94be3a9374e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64ad8752dcd35c4be3998612aeb61bfc"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a64ad8752dcd35c4be3998612aeb61bfc">OnWorkStop</a> ()</td></tr>
<tr class="separator:a64ad8752dcd35c4be3998612aeb61bfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ea0aaf035a1939c725579219040c481"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a5ea0aaf035a1939c725579219040c481">CanPutInCargo</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</td></tr>
<tr class="separator:a5ea0aaf035a1939c725579219040c481"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac03b8faf21665d7257172ff0961ff524"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#ac03b8faf21665d7257172ff0961ff524">OnActivatedByItem</a> (notnull <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="memdesc:ac03b8faf21665d7257172ff0961ff524"><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when this item is activated by other.  <a href="../../d4/d6f/_smoke_grenade_base_8c.html#ac03b8faf21665d7257172ff0961ff524">More...</a><br /></td></tr>
<tr class="separator:ac03b8faf21665d7257172ff0961ff524"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa39b7c4d3d085ef8514a87c32b81a4d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#afa39b7c4d3d085ef8514a87c32b81a4d">SetActions</a> ()</td></tr>
<tr class="separator:afa39b7c4d3d085ef8514a87c32b81a4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad183155e7592e816863539c54b6fa83f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#ad183155e7592e816863539c54b6fa83f">OnVariablesSynchronized</a> ()</td></tr>
<tr class="separator:ad183155e7592e816863539c54b6fa83f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fcd8344befc84c66f6d91bbb4d0c78f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a0fcd8344befc84c66f6d91bbb4d0c78f">OnExplosionEffects</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> source, <a class="el" href="../../d8/d83/class_object.html">Object</a> directHit, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> componentIndex, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> surface, <a class="el" href="../../d7/dfc/classvector.html">vector</a> pos, <a class="el" href="../../d7/dfc/classvector.html">vector</a> surfNormal, <a class="el" href="../../d4/dc3/classfloat.html">float</a> energyFactor, <a class="el" href="../../d4/dc3/classfloat.html">float</a> explosionFactor, <a class="el" href="../../d9/db9/classbool.html">bool</a> isWater, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ammoType)</td></tr>
<tr class="separator:a0fcd8344befc84c66f6d91bbb4d0c78f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81980a6e20c923f28bae801590b9d424"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a19d9d2862444a272e22375327d9f603c">ESmokeGrenadeState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a81980a6e20c923f28bae801590b9d424">GetSmokeGrenadeState</a> ()</td></tr>
<tr class="separator:a81980a6e20c923f28bae801590b9d424"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83a1e547e0d1e65ad421070058a093a9"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a83a1e547e0d1e65ad421070058a093a9">EEDelete</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</td></tr>
<tr class="separator:a83a1e547e0d1e65ad421070058a093a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a164129c0a8f2c6d8c64b541ae88a19f0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a164129c0a8f2c6d8c64b541ae88a19f0">SetSmokeGrenadeState</a> (<a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a19d9d2862444a272e22375327d9f603c">ESmokeGrenadeState</a> state)</td></tr>
<tr class="separator:a164129c0a8f2c6d8c64b541ae88a19f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee683415fb4097d910ea1db571a34bcc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#aee683415fb4097d910ea1db571a34bcc">SmokeGrenadeBase</a> ()</td></tr>
<tr class="separator:aee683415fb4097d910ea1db571a34bcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6d3572dd71e8a8a8411d5192107fc2f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#af6d3572dd71e8a8a8411d5192107fc2f">~SmokeGrenadeBase</a> ()</td></tr>
<tr class="separator:af6d3572dd71e8a8a8411d5192107fc2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a8ab80dc01738a5e70fbc89042391a451"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a19d9d2862444a272e22375327d9f603c">ESmokeGrenadeState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a8ab80dc01738a5e70fbc89042391a451">m_TimerSmokeStart</a></td></tr>
<tr class="separator:a8ab80dc01738a5e70fbc89042391a451"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9d74a9967449dcc8fefdb6eee5b49fd"><td class="memItemLeft" align="right" valign="top">protected ref Timer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#ae9d74a9967449dcc8fefdb6eee5b49fd">m_TimerSmokeLoop</a></td></tr>
<tr class="separator:ae9d74a9967449dcc8fefdb6eee5b49fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05a962f02c6def872975b6a962868f77"><td class="memItemLeft" align="right" valign="top">protected ref Timer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a05a962f02c6def872975b6a962868f77">m_TimerSmokeEnd</a></td></tr>
<tr class="separator:a05a962f02c6def872975b6a962868f77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0057beef325ac31ad2bde5d05beb1069"><td class="memItemLeft" align="right" valign="top">protected ref Timer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a0057beef325ac31ad2bde5d05beb1069">m_TimerDefer</a></td></tr>
<tr class="separator:a0057beef325ac31ad2bde5d05beb1069"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ea73de108c26351babd786f23a58345"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a19d9d2862444a272e22375327d9f603c">ESmokeGrenadeState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a9ea73de108c26351babd786f23a58345">m_SmokeGrenadeState</a></td></tr>
<tr class="separator:a9ea73de108c26351babd786f23a58345"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ed17be5ec9ca8c8e58068956effb079"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a19d9d2862444a272e22375327d9f603c">ESmokeGrenadeState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a7ed17be5ec9ca8c8e58068956effb079">m_LastSmokeGrenadeState</a></td></tr>
<tr class="separator:a7ed17be5ec9ca8c8e58068956effb079"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abea83d556db1ef9a5d69fa274956bb86"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#abea83d556db1ef9a5d69fa274956bb86">m_ParticleSmoke</a></td></tr>
<tr class="memdesc:abea83d556db1ef9a5d69fa274956bb86"><td class="mdescLeft">&#160;</td><td class="mdescRight">particle  <a href="../../d4/d6f/_smoke_grenade_base_8c.html#abea83d556db1ef9a5d69fa274956bb86">More...</a><br /></td></tr>
<tr class="separator:abea83d556db1ef9a5d69fa274956bb86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1242cf74f43aff6ddf25d676ae8a9d5"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#ad1242cf74f43aff6ddf25d676ae8a9d5">m_ParticleSmokeCurrentId</a></td></tr>
<tr class="separator:ad1242cf74f43aff6ddf25d676ae8a9d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a452acd80eb381264ea9613163d3f7717"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a452acd80eb381264ea9613163d3f7717">m_ParticleSmokeStartId</a></td></tr>
<tr class="separator:a452acd80eb381264ea9613163d3f7717"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6c06c25880c365515ac4bb14e9c21a4"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#ac6c06c25880c365515ac4bb14e9c21a4">m_ParticleSmokeLoopId</a></td></tr>
<tr class="separator:ac6c06c25880c365515ac4bb14e9c21a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19da468657bbcfb9e55f3611fabd37ae"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a19da468657bbcfb9e55f3611fabd37ae">m_ParticleSmokeEndId</a></td></tr>
<tr class="separator:a19da468657bbcfb9e55f3611fabd37ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5fb97bbb755a8856635830d373f3846"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#ac5fb97bbb755a8856635830d373f3846">m_ParticleSmokePosition</a></td></tr>
<tr class="separator:ac5fb97bbb755a8856635830d373f3846"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71702833e11a2b93f8e00c695ac1af1f"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/d89/class_effect_sound.html">EffectSound</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a71702833e11a2b93f8e00c695ac1af1f">m_SoundSmoke</a></td></tr>
<tr class="memdesc:a71702833e11a2b93f8e00c695ac1af1f"><td class="mdescLeft">&#160;</td><td class="mdescRight">sounds  <a href="../../d4/d6f/_smoke_grenade_base_8c.html#a71702833e11a2b93f8e00c695ac1af1f">More...</a><br /></td></tr>
<tr class="separator:a71702833e11a2b93f8e00c695ac1af1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47b3239e19ae54540f68bccd80693403"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a47b3239e19ae54540f68bccd80693403">m_SoundSmokeStartId</a></td></tr>
<tr class="separator:a47b3239e19ae54540f68bccd80693403"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acac1a4e99de687b260b0df71088be2ac"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#acac1a4e99de687b260b0df71088be2ac">m_SoundSmokeLoopId</a></td></tr>
<tr class="separator:acac1a4e99de687b260b0df71088be2ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a721ce5cce34e4e34565e2dd77057dbf7"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a721ce5cce34e4e34565e2dd77057dbf7">m_SoundSmokeEndId</a></td></tr>
<tr class="separator:a721ce5cce34e4e34565e2dd77057dbf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5da08e43b3e60e582d6c7c61d0484a85"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a5da08e43b3e60e582d6c7c61d0484a85">m_NoisePar</a></td></tr>
<tr class="memdesc:a5da08e43b3e60e582d6c7c61d0484a85"><td class="mdescLeft">&#160;</td><td class="mdescRight">Noise.  <a href="../../d4/d6f/_smoke_grenade_base_8c.html#a5da08e43b3e60e582d6c7c61d0484a85">More...</a><br /></td></tr>
<tr class="separator:a5da08e43b3e60e582d6c7c61d0484a85"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a19d9d2862444a272e22375327d9f603c" name="a19d9d2862444a272e22375327d9f603c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19d9d2862444a272e22375327d9f603c">&#9670;&#160;</a></span>ESmokeGrenadeState</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a19d9d2862444a272e22375327d9f603c">ESmokeGrenadeState</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a19d9d2862444a272e22375327d9f603ca49e98e95ee763d5097cc12af501f6571" name="a19d9d2862444a272e22375327d9f603ca49e98e95ee763d5097cc12af501f6571"></a>NO_SMOKE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a19d9d2862444a272e22375327d9f603ca61f7f1587bd5fe978d9ff3ece8d0624c" name="a19d9d2862444a272e22375327d9f603ca61f7f1587bd5fe978d9ff3ece8d0624c"></a>LOOP&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a19d9d2862444a272e22375327d9f603cadc6f24fd6915a3f2786a1b7045406924" name="a19d9d2862444a272e22375327d9f603cadc6f24fd6915a3f2786a1b7045406924"></a>END&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a19d9d2862444a272e22375327d9f603ca2addb49878f50c95dc669e5fdbd130a2" name="a19d9d2862444a272e22375327d9f603ca2addb49878f50c95dc669e5fdbd130a2"></a>COUNT&#160;</td><td class="fielddoc"><hr  />
 </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00001">1</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a5ea0aaf035a1939c725579219040c481" name="a5ea0aaf035a1939c725579219040c481"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ea0aaf035a1939c725579219040c481">&#9670;&#160;</a></span>CanPutInCargo()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> CanPutInCargo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00216">216</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="ac5b92971107bdfcfbc5ed9bf02e7ba4d" name="ac5b92971107bdfcfbc5ed9bf02e7ba4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5b92971107bdfcfbc5ed9bf02e7ba4d">&#9670;&#160;</a></span>DestroySmokeGrenade()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected void DestroySmokeGrenade </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00100">100</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a83a1e547e0d1e65ad421070058a093a9" name="a83a1e547e0d1e65ad421070058a093a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83a1e547e0d1e65ad421070058a093a9">&#9670;&#160;</a></span>EEDelete()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void EEDelete </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00247">247</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a81980a6e20c923f28bae801590b9d424" name="a81980a6e20c923f28bae801590b9d424"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81980a6e20c923f28bae801590b9d424">&#9670;&#160;</a></span>GetSmokeGrenadeState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a19d9d2862444a272e22375327d9f603c">ESmokeGrenadeState</a> GetSmokeGrenadeState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00242">242</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="ac03b8faf21665d7257172ff0961ff524" name="ac03b8faf21665d7257172ff0961ff524"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac03b8faf21665d7257172ff0961ff524">&#9670;&#160;</a></span>OnActivatedByItem()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnActivatedByItem </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Called when this item is activated by other. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00221">221</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a1cb0f903a575978e1bad2bc7750d765e" name="a1cb0f903a575978e1bad2bc7750d765e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1cb0f903a575978e1bad2bc7750d765e">&#9670;&#160;</a></span>OnActivateFinished()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnActivateFinished </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00166">166</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a0fcd8344befc84c66f6d91bbb4d0c78f" name="a0fcd8344befc84c66f6d91bbb4d0c78f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fcd8344befc84c66f6d91bbb4d0c78f">&#9670;&#160;</a></span>OnExplosionEffects()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnExplosionEffects </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>directHit</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>componentIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>surface</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>surfNormal</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>energyFactor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>explosionFactor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>isWater</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>ammoType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00240">240</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="ad183155e7592e816863539c54b6fa83f" name="ad183155e7592e816863539c54b6fa83f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad183155e7592e816863539c54b6fa83f">&#9670;&#160;</a></span>OnVariablesSynchronized()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnVariablesSynchronized </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00233">233</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a8dfedef279732661467a94be3a9374e4" name="a8dfedef279732661467a94be3a9374e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8dfedef279732661467a94be3a9374e4">&#9670;&#160;</a></span>OnWork()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnWork </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>consumed_energy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00195">195</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="abf45da335d07e3e78aa558714d3c38e8" name="abf45da335d07e3e78aa558714d3c38e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf45da335d07e3e78aa558714d3c38e8">&#9670;&#160;</a></span>OnWorkStart()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnWorkStart </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00175">175</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a64ad8752dcd35c4be3998612aeb61bfc" name="a64ad8752dcd35c4be3998612aeb61bfc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64ad8752dcd35c4be3998612aeb61bfc">&#9670;&#160;</a></span>OnWorkStop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnWorkStop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >defer timer</p>

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00208">208</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="adc8d096b049336ec595e3f2b028afb17" name="adc8d096b049336ec595e3f2b028afb17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc8d096b049336ec595e3f2b028afb17">&#9670;&#160;</a></span>PlaySmokeParticle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected void PlaySmokeParticle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00074">74</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a19c89e1aeded4b62e7b68aa89e53cb01" name="a19c89e1aeded4b62e7b68aa89e53cb01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19c89e1aeded4b62e7b68aa89e53cb01">&#9670;&#160;</a></span>RefreshParticlesAndSounds()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected void RefreshParticlesAndSounds </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00110">110</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="afa39b7c4d3d085ef8514a87c32b81a4d" name="afa39b7c4d3d085ef8514a87c32b81a4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa39b7c4d3d085ef8514a87c32b81a4d">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00226">226</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="aeff9002b0c857196ccf8e5bb3b3eddd5" name="aeff9002b0c857196ccf8e5bb3b3eddd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeff9002b0c857196ccf8e5bb3b3eddd5">&#9670;&#160;</a></span>SetParticleSmokeCurrent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetParticleSmokeCurrent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>particle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00039">39</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="ad1fdf205f1d286502cbb4f55fcec0207" name="ad1fdf205f1d286502cbb4f55fcec0207"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1fdf205f1d286502cbb4f55fcec0207">&#9670;&#160;</a></span>SetParticleSmokeEnd()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetParticleSmokeEnd </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>particle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00054">54</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a5d5b113a92edf59804f424d3871ced4f" name="a5d5b113a92edf59804f424d3871ced4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d5b113a92edf59804f424d3871ced4f">&#9670;&#160;</a></span>SetParticleSmokeLoop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetParticleSmokeLoop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>particle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00049">49</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="aeb0804306fcb4fd3e6fe57dd1cfc6d3e" name="aeb0804306fcb4fd3e6fe57dd1cfc6d3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb0804306fcb4fd3e6fe57dd1cfc6d3e">&#9670;&#160;</a></span>SetParticleSmokeStart()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetParticleSmokeStart </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>particle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00044">44</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a164129c0a8f2c6d8c64b541ae88a19f0" name="a164129c0a8f2c6d8c64b541ae88a19f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a164129c0a8f2c6d8c64b541ae88a19f0">&#9670;&#160;</a></span>SetSmokeGrenadeState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetSmokeGrenadeState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a19d9d2862444a272e22375327d9f603c">ESmokeGrenadeState</a>&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00255">255</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a4398f844df403daf83874caa212790af" name="a4398f844df403daf83874caa212790af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4398f844df403daf83874caa212790af">&#9670;&#160;</a></span>SetSoundSmokeEnd()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetSoundSmokeEnd </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>sound</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00069">69</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="ada9e198796d8a367139ca98e6cb61cde" name="ada9e198796d8a367139ca98e6cb61cde"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada9e198796d8a367139ca98e6cb61cde">&#9670;&#160;</a></span>SetSoundSmokeLoop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetSoundSmokeLoop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>sound</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00064">64</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a6c632bfe3b165e2077388e3897a129d1" name="a6c632bfe3b165e2077388e3897a129d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c632bfe3b165e2077388e3897a129d1">&#9670;&#160;</a></span>SetSoundSmokeStart()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetSoundSmokeStart </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>sound</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00059">59</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="aee683415fb4097d910ea1db571a34bcc" name="aee683415fb4097d910ea1db571a34bcc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee683415fb4097d910ea1db571a34bcc">&#9670;&#160;</a></span>SmokeGrenadeBase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="../../d3/d4c/class_smoke_grenade_base.html">SmokeGrenadeBase</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >no effect on base</p>
<p >no effect on base</p>
<p >no effect on base</p>

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00271">271</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a164a465a34f5fa158194f2459940a454" name="a164a465a34f5fa158194f2459940a454"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a164a465a34f5fa158194f2459940a454">&#9670;&#160;</a></span>SoundSmokeEnd()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected void SoundSmokeEnd </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00089">89</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a09a9e3fe5f642bc95b8f3369f4baed0f" name="a09a9e3fe5f642bc95b8f3369f4baed0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09a9e3fe5f642bc95b8f3369f4baed0f">&#9670;&#160;</a></span>SoundSmokeLoop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected void SoundSmokeLoop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00084">84</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="ae4f5b4677c40dcff49eabd2e0bd9e001" name="ae4f5b4677c40dcff49eabd2e0bd9e001"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4f5b4677c40dcff49eabd2e0bd9e001">&#9670;&#160;</a></span>SoundSmokeStart()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected void SoundSmokeStart </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00079">79</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="af29c8537ebf9c1b5a71617249be81325" name="af29c8537ebf9c1b5a71617249be81325"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af29c8537ebf9c1b5a71617249be81325">&#9670;&#160;</a></span>SoundSmokeStop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected void SoundSmokeStop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00095">95</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="aedb24aac24172f46ca4fad2200feb723" name="aedb24aac24172f46ca4fad2200feb723"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedb24aac24172f46ca4fad2200feb723">&#9670;&#160;</a></span>Unpin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void Unpin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00158">158</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="af6d3572dd71e8a8a8411d5192107fc2f" name="af6d3572dd71e8a8a8411d5192107fc2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6d3572dd71e8a8a8411d5192107fc2f">&#9670;&#160;</a></span>~SmokeGrenadeBase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ~<a class="el" href="../../d3/d4c/class_smoke_grenade_base.html">SmokeGrenadeBase</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a7ed17be5ec9ca8c8e58068956effb079" name="a7ed17be5ec9ca8c8e58068956effb079"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ed17be5ec9ca8c8e58068956effb079">&#9670;&#160;</a></span>m_LastSmokeGrenadeState</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a19d9d2862444a272e22375327d9f603c">ESmokeGrenadeState</a> m_LastSmokeGrenadeState</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00020">20</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a5da08e43b3e60e582d6c7c61d0484a85" name="a5da08e43b3e60e582d6c7c61d0484a85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5da08e43b3e60e582d6c7c61d0484a85">&#9670;&#160;</a></span>m_NoisePar</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a> m_NoisePar</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Noise. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00037">37</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="abea83d556db1ef9a5d69fa274956bb86" name="abea83d556db1ef9a5d69fa274956bb86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abea83d556db1ef9a5d69fa274956bb86">&#9670;&#160;</a></span>m_ParticleSmoke</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../de/d85/class_particle.html">Particle</a> m_ParticleSmoke</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>particle </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00023">23</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="ad1242cf74f43aff6ddf25d676ae8a9d5" name="ad1242cf74f43aff6ddf25d676ae8a9d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1242cf74f43aff6ddf25d676ae8a9d5">&#9670;&#160;</a></span>m_ParticleSmokeCurrentId</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> m_ParticleSmokeCurrentId</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00024">24</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a19da468657bbcfb9e55f3611fabd37ae" name="a19da468657bbcfb9e55f3611fabd37ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19da468657bbcfb9e55f3611fabd37ae">&#9670;&#160;</a></span>m_ParticleSmokeEndId</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> m_ParticleSmokeEndId</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00027">27</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="ac6c06c25880c365515ac4bb14e9c21a4" name="ac6c06c25880c365515ac4bb14e9c21a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6c06c25880c365515ac4bb14e9c21a4">&#9670;&#160;</a></span>m_ParticleSmokeLoopId</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> m_ParticleSmokeLoopId</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00026">26</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="ac5fb97bbb755a8856635830d373f3846" name="ac5fb97bbb755a8856635830d373f3846"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5fb97bbb755a8856635830d373f3846">&#9670;&#160;</a></span>m_ParticleSmokePosition</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a> m_ParticleSmokePosition</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00028">28</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a452acd80eb381264ea9613163d3f7717" name="a452acd80eb381264ea9613163d3f7717"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a452acd80eb381264ea9613163d3f7717">&#9670;&#160;</a></span>m_ParticleSmokeStartId</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> m_ParticleSmokeStartId</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00025">25</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a9ea73de108c26351babd786f23a58345" name="a9ea73de108c26351babd786f23a58345"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ea73de108c26351babd786f23a58345">&#9670;&#160;</a></span>m_SmokeGrenadeState</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a19d9d2862444a272e22375327d9f603c">ESmokeGrenadeState</a> m_SmokeGrenadeState</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00019">19</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a71702833e11a2b93f8e00c695ac1af1f" name="a71702833e11a2b93f8e00c695ac1af1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71702833e11a2b93f8e00c695ac1af1f">&#9670;&#160;</a></span>m_SoundSmoke</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/d89/class_effect_sound.html">EffectSound</a> m_SoundSmoke</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>sounds </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00031">31</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a721ce5cce34e4e34565e2dd77057dbf7" name="a721ce5cce34e4e34565e2dd77057dbf7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a721ce5cce34e4e34565e2dd77057dbf7">&#9670;&#160;</a></span>m_SoundSmokeEndId</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> m_SoundSmokeEndId</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00034">34</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="acac1a4e99de687b260b0df71088be2ac" name="acac1a4e99de687b260b0df71088be2ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acac1a4e99de687b260b0df71088be2ac">&#9670;&#160;</a></span>m_SoundSmokeLoopId</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> m_SoundSmokeLoopId</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00033">33</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a47b3239e19ae54540f68bccd80693403" name="a47b3239e19ae54540f68bccd80693403"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47b3239e19ae54540f68bccd80693403">&#9670;&#160;</a></span>m_SoundSmokeStartId</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> m_SoundSmokeStartId</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00032">32</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a0057beef325ac31ad2bde5d05beb1069" name="a0057beef325ac31ad2bde5d05beb1069"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0057beef325ac31ad2bde5d05beb1069">&#9670;&#160;</a></span>m_TimerDefer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected ref Timer m_TimerDefer</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00017">17</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a05a962f02c6def872975b6a962868f77" name="a05a962f02c6def872975b6a962868f77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05a962f02c6def872975b6a962868f77">&#9670;&#160;</a></span>m_TimerSmokeEnd</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected ref Timer m_TimerSmokeEnd</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00015">15</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="ae9d74a9967449dcc8fefdb6eee5b49fd" name="ae9d74a9967449dcc8fefdb6eee5b49fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9d74a9967449dcc8fefdb6eee5b49fd">&#9670;&#160;</a></span>m_TimerSmokeLoop</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected ref Timer m_TimerSmokeLoop</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00014">14</a> of file <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c_source.html">SmokeGrenadeBase.c</a>.</p>

</div>
</div>
<a id="a8ab80dc01738a5e70fbc89042391a451" name="a8ab80dc01738a5e70fbc89042391a451"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ab80dc01738a5e70fbc89042391a451">&#9670;&#160;</a></span>m_TimerSmokeStart</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html#a19d9d2862444a272e22375327d9f603c">ESmokeGrenadeState</a> m_TimerSmokeStart</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_806847d5bba5024497719a5baaa9b4a0.html">Grenade_Base</a></li><li class="navelem"><a class="el" href="../../d4/d6f/_smoke_grenade_base_8c.html">SmokeGrenadeBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
